Index: palm/trunk/SOURCE/netcdf_data_input_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 3215)
+++ palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 3241)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed
+! 
+! 3215 2018-08-29 09:58:59Z suehring
 ! - Separate input of soil properties from input of atmospheric data. This 
 !   enables input of soil properties also in child domains without any 
@@ -654,9 +657,7 @@
 
        USE control_parameters,                                                 &
-           ONLY:  land_surface, message_string, topo_no_distinct, urban_surface
+           ONLY:  topo_no_distinct
 
        IMPLICIT NONE
-
-       LOGICAL ::  check_nest  !< flag indicating whether a check passed or not
 
 #if defined ( __netcdf )
@@ -688,5 +689,4 @@
 
        INTEGER(iwp) ::  id_mod   !< NetCDF id of input file
-       INTEGER(iwp) ::  ii       !< running index for IO blocks
 
        IF ( .NOT. input_pids_static )  RETURN
@@ -757,6 +757,6 @@
 
        USE control_parameters,                                                 &
-           ONLY:  bc_lr_cyc, bc_ns_cyc, land_surface, message_string,          &
-                  plant_canopy, urban_surface
+           ONLY:  bc_lr_cyc, bc_ns_cyc, land_surface, plant_canopy,            &
+                  urban_surface
 
        USE indices,                                                            &
@@ -1788,5 +1788,5 @@
 
        USE indices,                                                            &
-           ONLY:  nbgp, nx, nxl, nxr, ny, nyn, nys, nzb, nzt
+           ONLY:  nbgp, nx, nxl, nxr, ny, nyn, nys, nzb
 
 
@@ -1800,5 +1800,4 @@
        INTEGER(iwp) ::  id_topo       !< NetCDF id of topograhy input file
        INTEGER(iwp) ::  j             !< running index along y-direction
-       INTEGER(iwp) ::  k             !< running index along z-direction
        INTEGER(iwp) ::  num_vars      !< number of variables in netcdf input file
        INTEGER(iwp) ::  skip_n_rows   !< counting variable to skip rows while reading topography file
@@ -2079,6 +2078,5 @@
 
        USE control_parameters,                                                 &
-           ONLY:  bc_lr_cyc, bc_ns_cyc, humidity, land_surface, message_string,&
-                  nesting_offline, neutral, surface_pressure
+           ONLY:  bc_lr_cyc, bc_ns_cyc, humidity, message_string, neutral
 
        USE indices,                                                            &
@@ -2091,8 +2089,5 @@
        LOGICAL      ::  dynamic_3d = .TRUE. !< flag indicating that 3D data is read from dynamic file
        
-       INTEGER(iwp) ::  i          !< running index along x-direction
        INTEGER(iwp) ::  id_dynamic !< NetCDF id of dynamic input file
-       INTEGER(iwp) ::  j          !< running index along y-direction
-       INTEGER(iwp) ::  k          !< running index along z-direction
        INTEGER(iwp) ::  num_vars   !< number of variables in netcdf input file
 
@@ -2554,13 +2549,9 @@
     SUBROUTINE netcdf_data_input_init_lsm
 
-       USE arrays_3d,                                                          &
-           ONLY:  q, pt, u, v, w, zu, zw
-
        USE control_parameters,                                                 &
-           ONLY:  bc_lr_cyc, bc_ns_cyc, humidity, land_surface, message_string,&
-                  nesting_offline, neutral, surface_pressure
+           ONLY:  message_string
 
        USE indices,                                                            &
-           ONLY:  nx, nxl, nxlu, nxr, ny, nyn, nys, nysv, nzb, nz, nzt
+           ONLY:  nx, nxl, nxr, ny, nyn, nys
 
        IMPLICIT NONE
@@ -2699,6 +2690,5 @@
            ONLY:  bc_dirichlet_l, bc_dirichlet_n, bc_dirichlet_r,              &
                   bc_dirichlet_s, bc_lr_cyc, bc_ns_cyc, humidity,              &
-                  message_string, neutral, nesting_offline,                    &
-                  time_since_reference_point
+                  neutral, nesting_offline, time_since_reference_point
 
        USE indices,                                                            &
@@ -2707,12 +2697,7 @@
        IMPLICIT NONE
        
-       INTEGER(iwp) ::  i          !< running index along x-direction
        INTEGER(iwp) ::  id_dynamic !< NetCDF id of dynamic input file
-       INTEGER(iwp) ::  j          !< running index along y-direction
-       INTEGER(iwp) ::  k          !< running index along z-direction
        INTEGER(iwp) ::  num_vars   !< number of variables in netcdf input file
        INTEGER(iwp) ::  t          !< running index time dimension
-
-       REAL(wp) ::  dum           !< dummy variable to skip columns while reading topography file
 
        nest_offl%from_file = MERGE( .TRUE., .FALSE., input_pids_dynamic ) 
@@ -3562,12 +3547,8 @@
        IMPLICIT NONE
 
-       LOGICAL      ::  top     !< flag indicating extrapolation at model top
-
        INTEGER(iwp) ::  k       !< running index z-direction file
        INTEGER(iwp) ::  kk      !< running index z-direction stretched model grid
        INTEGER(iwp) ::  kl      !< lower index bound along z-direction
        INTEGER(iwp) ::  ku      !< upper index bound along z-direction
-       INTEGER(iwp) ::  nz_file !< number of vertical levels on file
-
 
        REAL(wp), DIMENSION(:) ::  z_grid                  !< grid levels on numeric grid
@@ -3631,6 +3612,4 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i        !< running index x-direction
-       INTEGER(iwp) ::  j        !< running index y-direction
        INTEGER(iwp) ::  k        !< running index z-direction file
        INTEGER(iwp) ::  kk       !< running index z-direction stretched model grid
@@ -3690,6 +3669,4 @@
        IMPLICIT NONE
 
-       LOGICAL      ::  top     !< flag indicating extrapolation at model top
-
        INTEGER(iwp) ::  i       !< running index x- or y -direction
        INTEGER(iwp) ::  il      !< lower index bound along x- or y-direction
@@ -3699,6 +3676,4 @@
        INTEGER(iwp) ::  kl      !< lower index bound along z-direction
        INTEGER(iwp) ::  ku      !< upper index bound along z-direction
-       INTEGER(iwp) ::  nz_file !< number of vertical levels on file
-
 
        REAL(wp), DIMENSION(:) ::  z_grid                  !< grid levels on numeric grid
@@ -3771,5 +3746,4 @@
        INTEGER(iwp) ::  kl      !< lower index bound along z-direction
        INTEGER(iwp) ::  ku      !< upper index bound along z-direction
-       INTEGER(iwp) ::  nz_file !< number of vertical levels on file
 
        REAL(wp), DIMENSION(:) ::  z_grid                      !< grid levels on numeric grid
@@ -3887,5 +3861,4 @@
        CHARACTER (LEN=*), INTENT(IN) ::  filename  !< filename
        INTEGER(iwp), INTENT(INOUT)   ::  id        !< file id
-       LOGICAL                       ::  file_open = .FALSE.
 
 #if defined( __netcdf4_parallel )
